//#####################################################################
// Copyright 2004-2007, Craig Schroeder, Tamar Shinar, Joseph Teran, Rachel Weinstein.
// This file is part of PhysBAM whose distribution is governed by the license contained in the accompanying file PHYSBAM_COPYRIGHT.txt.
//#####################################################################
#include <Core/Grids/GRID.h>
#include <Core/Implicit_Objects/IMPLICIT_OBJECT_TRANSFORMED.h>
#include <Core/Parsing/PARSE_ARGS.h>
#include <Core/Utilities/PROCESS_UTILITIES.h>
#include <Solids/Examples_And_Drivers/SOLIDS_DRIVER.h>
#include "Standard_Tests/STANDARD_TESTS.h"

using namespace PhysBAM;

int main(int argc,char** argv)
{
    typedef float T;
    typedef float RW;
    STREAM_TYPE stream_type=STREAM_TYPE::type_float;
    typedef VECTOR<T,3> TV;

    PARSE_ARGS parse_args(argc,argv);
    EXAMPLE<TV>* example=new STANDARD_TESTS<T>(stream_type,parse_args);

    SOLIDS_EXAMPLE<TV>* solid_fluid_example=dynamic_cast<SOLIDS_EXAMPLE<TV>*>(example);
    SOLIDS_DRIVER<TV> driver(*solid_fluid_example);
    driver.Execute_Main_Program();
    delete example;

    return 0;
}
//#####################################################################
